# endstat

`endstat` is an easy-to-use **End**point **Stat**us checking tool, meant for
checking the health of various web locations. It supports arbitrary domains and
ports, status matching, and body matching using [ron][ron], a quick-to-understand config
file notation, built in [Rust][rust] using [actix][actix].

My motivation was that I wanted to make a dashboard that was easy-to-use to make
sure my homelab services were running when I screwed around with config files.

[ron]: https://github.com/ron-rs/ron
[rust]: https://rust-lang.org
[actix]: https://github.com/ron-rs/ron

## Features
- HTTP/HTTPS
- Arbitrary ports
- Expected body and/or status code responses
- Optional no redirect following
- API endpoint (`/api`)

## Getting started

There's an example config file that you can simply rename to `endstat_conf.ron`.
It should be a relatively comprehensive example of what sort of flexibility
`endstat` offers.

If you're building from source, execute `cargo run`.

If you've gotten this binary from somewhere else, simply execute it.
